Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.html
Class ParseHtmlTokenManager

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.html.ParseHtmlTokenManager

All Implemented Interfaces:
  ParseHtmlConstants

    public class ParseHtmlTokenManager

extends java.lang.Object
implements ParseHtmlConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`protected CharStream` | `input_stream`
`static int[]` | `jjnewLexState`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface edu.harvard.hul.ois.jhove.module.html.ParseHtmlConstants
`COLON, DEFAULT, DOCTYPEKEYWORD, ENDING_COMMENT, EOF, EQUALS, IN_ATTVALUE, IN_COMMENT, IN_DOCTYPE, IN_DOCTYPE2, IN_PCDATA, IN_TAG, LABRACKET, NAKEDDTITEM, NAKEDVALUE, NAME, OPENCOMMENT, PCDATA, PCDATASTART, QMARK, QUOTEDDTITEM, QUOTEDVALUE, RABRACKET, SINGQUOTEDVALUE, SLASH, STARTDOCTYPE, tokenImage`

Constructor Summary
`ParseHtmlTokenManager(CharStream stream)`
`ParseHtmlTokenManager(CharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(CharStream stream)`
`void` | `ReInit(CharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### jjnewLexState

    public static final int[] jjnewLexState

### input_stream

    protected CharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### ParseHtmlTokenManager

    public ParseHtmlTokenManager(CharStream stream)

### ParseHtmlTokenManager

    public ParseHtmlTokenManager(CharStream stream,
                                 int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(CharStream stream)

### ReInit

    public void ReInit(CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD